For the complete documentation index, see llms.txt. This page is also available as Markdown.

Channel Management

Lists all channels for a chatbot

get

Required Permission: chatbots.channels.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

List of all channels.

application/json
errorstringOptional

Optional error message.

get/v1/chatbots/{chatbotId}/channels
GET /v1/chatbots/{chatbotId}/channels HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "error": "text",
  "channels": [
    {
      "id": "chan59aBv7wzR9cxd1Pxyz",
      "name": "My Web Channel",
      "number": "+49123456789",
      "status": "connected",
      "token": "By4hQWBaJaRrwvxg5fWzhQWBaJaRrrwvxg5fWzhwvxg5fWzhQWBaJaRrr",
      "type": "web",
      "created": "2025-09-30T10:00:00Z",
      "updated": "2025-09-30T10:05:00Z",
      "tokenValidUntil": "2026-09-30T10:00:00Z",
      "chatbotId": "botKq8BxZaJd2wZR9cxd1P",
      "environment": "dev",
      "mpId": "550e8400-e29b-41d4-a716-446655440000",
      "whatsappId": "WH-123456789",
      "facebookId": "FB-987654321",
      "telegramId": "TG-11223344",
      "instagramId": "IG-55667788",
      "audiocodesId": "AC-99001122",
      "language": "en",
      "domains": [
        "https://my-website.de"
      ],
      "providerId": "RFQWwJ3WdZnsl7qWJOfs",
      "pin": "1234",
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "async": true,
      "description": "This channel is used for...",
      "email": "example@email.com",
      "microsoftExchangeConfig": {
        "tenantId": "84bd8158-6d4d-4958-8b9f-9d6445542f95",
        "expiredAt": "2026-06-17T12:00:00Z",
        "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...",
        "mailboxAddress": "support@company.com",
        "subscriptionId": "7f105c7d-2dc5-4530-97cd-4e7ae6534c07",
        "subscriptionExpiredAt": "2026-06-24T12:00:00Z",
        "clientState": "secretClientState"
      }
    }
  ]
}

Generates a channel token for Web or Audiocodes

get
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Query parameters
channelTypenumber · enumRequired

The type of the channel.

  • 0: WEB
  • 6: AUDIOCODES
Possible values:
Responses
200Success
application/json
errorstringOptional

Optional error message.

tokenstringOptional

The generated token.

Example: cc-tok-very-long-secret-token-string
get/v1/chatbots/{chatbotId}/channels/generate-token
GET /v1/chatbots/{chatbotId}/channels/generate-token?channelType=0 HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "error": "text",
  "token": "cc-tok-very-long-secret-token-string"
}

Last updated